summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-10-28 06:58:45 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-28 06:58:45 +0700
commit6b2e4ca7545ee0c626a9eed661381ff1ce9496db (patch)
treeaef453ee426d6e376b46d8087bfbaac3f463f0a3
parentc2c96c7d052611c3cbe7c022964d5ad82d5d4661 (diff)
downloadslackbuilds-6b2e4ca7545ee0c626a9eed661381ff1ce9496db.tar.gz
slackbuilds-6b2e4ca7545ee0c626a9eed661381ff1ce9496db.tar.xz
multimedia/mkclean: Added (Matroska Optimizer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/mkclean/README14
-rw-r--r--multimedia/mkclean/doinst.sh9
-rw-r--r--multimedia/mkclean/mkclean.SlackBuild100
-rw-r--r--multimedia/mkclean/mkclean.info10
-rw-r--r--multimedia/mkclean/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/multimedia/mkclean/README b/multimedia/mkclean/README
new file mode 100644
index 0000000000..4ea5c66714
--- /dev/null
+++ b/multimedia/mkclean/README
@@ -0,0 +1,14 @@
+mkclean (command line tool to clean and optimize Matroska)
+
+mkclean is a command line tool to clean and optimize Matroska (.mkv /
+.mka / .mks / .mk3d) and WebM (.webm / .weba) files that have already
+been muxed. It reorders the elements with the Cues at the front, so
+your Matroska files are ready to be streamed efficiently over the web.
+
+It also removes elements not found in the Matroska specs and the extra
+Meta Seek list of Clusters that some program add to their file. It can
+also optionally remux the Cluster blocks to start each boundary with a
+keyframe and the matching audio/subtitle blocks for that keyframe.
+
+Also comes with mkWDclean to modify files in a way they can play in
+broken/incomplete players.
diff --git a/multimedia/mkclean/doinst.sh b/multimedia/mkclean/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/multimedia/mkclean/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/mkclean/mkclean.SlackBuild b/multimedia/mkclean/mkclean.SlackBuild
new file mode 100644
index 0000000000..bceba54d5f
--- /dev/null
+++ b/multimedia/mkclean/mkclean.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# Slackware build script for mkclean.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mkclean
+VERSION=${VERSION:-0.8.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ BITS=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ BITS=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ BITS="_x64"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make -C mkclean
+
+install -d $PKG/usr/bin
+install -D -m755 release/gcc_linux${BITS}/mkWDclean $PKG/usr/bin/mkWDclean
+install -D -m755 release/gcc_linux${BITS}/mkclean $PKG/usr/bin/mkclean
+install -D -m755 release/gcc_linux${BITS}/mkcleanreg $PKG/usr/bin/mkcleanreg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog.txt ReadMe.txt $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mkclean/mkclean.info b/multimedia/mkclean/mkclean.info
new file mode 100644
index 0000000000..be423db3cd
--- /dev/null
+++ b/multimedia/mkclean/mkclean.info
@@ -0,0 +1,10 @@
+PRGNAM="mkclean"
+VERSION="0.8.7"
+HOMEPAGE="http://www.matroska.org/downloads/mkclean.html"
+DOWNLOAD="https://sourceforge.net/projects/matroska/files/mkclean/mkclean-0.8.7.tar.bz2"
+MD5SUM="ffc9bcbe51fbcb3b1a02edf19f9671e2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libmatroska"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/multimedia/mkclean/slack-desc b/multimedia/mkclean/slack-desc
new file mode 100644
index 0000000000..dffc46e352
--- /dev/null
+++ b/multimedia/mkclean/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mkclean: mkclean (command line tool to clean and optimize Matroska)
+mkclean:
+mkclean: mkclean is a command line tool to clean and optimize Matroska
+mkclean: (.mkv / .mka / .mks / .mk3d) and WebM (.webm / .weba) files that
+mkclean: have already been muxed. It reorders the elements with the Cues
+mkclean: at the front, so your Matroska files are ready to be streamed
+mkclean: efficiently over the web.
+mkclean:
+mkclean: Home page: http://www.matroska.org/downloads/mkclean.html
+mkclean:
+mkclean: